%global momorel 9

Summary: 3D modeling, animation, rendering and post-production.
Name: blender
Version: 2.32
Release: %{momorel}m
License: GPL
Group: Applications/Multimedia
URL: http://www.blender.org/

%NoSource 0 http://download.blender.org/source/%{name}-%{version}.tar.bz2 ebde5f573e19b7b8b64401d293c989e7
Source1: blender.png
%NoSource 2 http://uniside.s37.xrea.com/file/blender-ja-utf8n-20031205-2.3.po c3895684a48e416e564641ca04ee0659
Patch0: blender-2.31a-ldflags_xlibpath.patch
Patch1: blender-2.32-international.patch
Patch3: blender-2.31a-defaultpath.patch
Patch4: ja.po-20031205-2.3-removeduplicate.patch
Patch5: blender-2.32-gcc34.patch
Patch6: blender-2.32-FTGL.patch
Patch7: blender-2.32-lib64.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: python-devel, libjpeg-devel, libpng-devel, zlib-devel, glut-devel
BuildPreReq: SDL-devel >= 1.2.7-11m
BuildPreReq: freetype2-devel, ftgl, gettext, SDL-devel >= 1.2.7-10m 

BuildPreReq: gcc-c++ >= 3.4.1-1m
BuildPrereq: automake17

%description
Blender is an open source software for 3D modeling, animation, rendering,
post-production, interactive creation and playback.

%prep
%setup -q
%patch0 -p1 -b .xlib
%patch1 -p1 -b .international
%patch3 -p1 -b .defaultpath
%patch5 -p1 -b .gcc34
%patch6 -p1 -b .FTGL
%if %{_lib} == "lib64"
%patch7 -p1 -b .lib64
%endif

%build
# to creating Makefile.in in source/blender/ftfont
aclocal-1.7
## These files seems to be needed for automake...
touch AUTHORS ChangeLog py-compile NEWS
automake-1.7
autoconf

%configure \
--prefix=/usr \
--enable-international \
--with-x \
--x-libraries=/usr/X11R6/%{_lib} \
--with-gnu-ld \
--disable-shared

# for ftfont build
ln -s %{_includedir}/freetype2/freetype source/blender/ftfont/
ln -s %{_includedir}/ft2build.h source/blender/ftfont/

%{__make}

# make message files
pushd po
mv ja.po ja.po.orig
cp -f %{SOURCE2} ja.po
patch < %{PATCH4}
mv Makefile Makefile.tmp
sed '/nan_definitions.mk/d' Makefile.tmp > Makefile
make OCGDIR=.
popd

%install
[ "%{buildroot}" != "/" ] && %__rm -fr %{buildroot}

%makeinstall transform='s,x,x,'

# install message files
mkdir -p %{buildroot}%{_datadir}/%{name}
pushd  po/bin/.blender
cp -Rf locale %{buildroot}%{_datadir}
popd
# install Blanguages file
cp -f ./bin/.blender/.Blanguages %{buildroot}%{_datadir}/%{name}/Blanguages
# make symlink of default fonts
mkdir -p %{buildroot}%{_datadir}/%{name}/fonts
ln -s /usr/share/fonts/truetype/japanese/sazanami-gothic.ttf %{buildroot}%{_datadir}/%{name}/fonts/bfont.ttf

# install icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps

# install desktop file
cat >blender.desktop<<EOF
[Desktop Entry]
Name=blender
Terminal=0
Type=Application
Description=3D Modeler
Exec=blender -w
Icon=blender.png
Categories=Application;Graphics;
EOF

mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 blender.desktop %{buildroot}%{_datadir}/applications

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && %__rm -fr %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README INSTALL release*.txt
%{_bindir}/*
%{_datadir}/%{name}/Blanguages
%{_datadir}/%{name}/fonts
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*

%changelog
* Sat Feb 26 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.32-9m)
- rebuild against SDL-1.2.7-11m

* Sat Feb 12 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.32-8m)
- rebuild against SDL

* Thu Feb 10 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.32-7m)
- enable x86_64.

* Sat Dec 25 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.32-6m)
- add FTGL patch

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.32-5m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++
- add gcc34 patch

* Mon Aug 30 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.32-4m)
- remove unnecessary desktop file

* Mon Aug 30 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.32-3m)
- rebuild against DirectFB-0.9.21

* Thu Jul  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.32-2m)
- use sazanami instead of kochi

* Mon Feb 16 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.32-1m)
- update to 2.32
- revise Patch1

* Wed Jan 14 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.31a-3m)
- use %%find_lang macro
- use %%NoSource macro
- use autoconf-1.7
    See doc/autoconfig.txt
- and remove blender-2.31a-intern_ghost_automake.patch

* Wed Jan 14 2004 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (2.31a-2m)
- enable international menu (needs ftgl libraries)
- - add Patch1,2 to build blender with source/blender/src/ftfont module 
    and use automake, autoconf
- - new Patch0 (patching Makefile.am)
- - add Patch3 to change default font and .Blanguage file path
- - - set default font path to /usr/share/blender/fonts
- - - set default font to /usr/share/blender/fonts/bfonts.ttf and 
      make it symlink to /usr/share/fonts/truetype/japanese/kochi-gothic.ttf)
- - - change name of .Blanguage file to /usr/share/blender/Blanguage
- - use latest ja.po at http://uniside.s37.xrea.com/ 
- - - (add Patch4 to remove duplicated entries)
- add some BuildRequires
- add desktop file

* Fri Jan 9 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.31a-1m)
- initial momonga rpm


